---
title: VideoTrack.label
slug: Web/API/VideoTrack/label
tags:
  - API
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - Video Track
  - VideoTrack
  - label
  - metadata
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("VideoTrack")}}</strong> property <code><strong>label</strong></code> returns a string specifying the video track's human-readable label, if one is available; otherwise, it returns an empty string.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>videoTrackLabel</em> = <em>VideoTrack</em>.label;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the track's human-readable label, if one is available in the track metadata. Otherwise, an empty string (<code>""</code>) is returned.</p>

<p>For example, a track whose {{domxref("VideoTrack.kind", "kind")}} is <code>"sign"</code> might have a <code>label</code> such as <code>"A sign-language interpretation."</code>.</p>

<h2 id="Example">Example</h2>

<p>This example returns an array of track kinds and labels for potential use in a user interface to select video tracks for a specified media element. The list is filtered to only allow certain track kinds through.</p>

<pre class="brush: js">function getTrackList(el) {
  var trackList = [];
  const wantedKinds = [
    "main", "alternative", "commentary"
  ];

  el.videoTracks.forEach(function(track) {
    if (wantedKinds.includes(track.kind)) {
      trackList.push({
        id: track.id,
        kind: track.kind,
        label: track.label
      });
    }
  });
  return trackList;
}</pre>

<p>The resulting <code>trackList</code> contains an array of video tracks whose <code>kind</code> is one of those in the array <code>wantedKinds</code>, with each entry providing the track's {{domxref("VideoTrack.id", "id")}}, {{domxref("VideoTrack.kind", "kind")}}, and {{domxref("VideoTrack.label", "label")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-videotrack-label', 'VideoTrack: label')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrack.label")}}</p>
